# Uses of Interface
jebl.evolution.substmodel.RateMatrix

Packages that use RateMatrix
Package
Description
jebl.evolution.align.scores
jebl.evolution.substmodel

## Uses of RateMatrix in jebl.evolution.align.scores

Constructors in jebl.evolution.align.scores with parameters of type RateMatrix
Modifier
Constructor
Description
``
`SubstScoreMatrix(RateMatrix rateMatrix)`

## Uses of RateMatrix in jebl.evolution.substmodel

Classes in jebl.evolution.substmodel that implement RateMatrix
Modifier and Type
Class
Description
`class`
`AbstractRateMatrix`
abstract base class for all rate matrices
`class`
`AminoAcidModel`
base class of rate matrices for amino acids
`class`
`WAG`
WAG model of amino acid evolution (S.
Methods in jebl.evolution.substmodel with parameters of type RateMatrix
Modifier and Type
Method
Description
`void`
MatrixExponential.`setMatrix(RateMatrix r)`
update rate matrix used in present module
Constructors in jebl.evolution.substmodel with parameters of type RateMatrix
Modifier
Constructor
Description
``
`MatrixExponential(RateMatrix r)`
create module